- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QSplitterHandle Class Reference

Search for all occurrences

## Detailed Description

Definition at line 158 of file qsplitter.h.

`#include <qsplitter.h>`

Inheritance diagram for QSplitterHandle:
[legend]

List of all members.

## Public Member Functions
| QSplitterHandle (Qt::Orientation o, QSplitter *parent)
void | setOrientation (Qt::Orientation o)
Qt::Orientation | orientation () const
bool | opaqueResize () const
QSplitter * | splitter () const
QSize | sizeHint () const
## Protected Member Functions
void | paintEvent (QPaintEvent *)
void | mouseMoveEvent (QMouseEvent *)
void | mousePressEvent (QMouseEvent *)
void | mouseReleaseEvent (QMouseEvent *)
void | resizeEvent (QResizeEvent *)
bool | event (QEvent *)
void | moveSplitter (int p)
int | closestLegalPosition (int p)

## Constructor & Destructor Documentation

QSplitterHandle | ( | Qt::Orientation | o,
|  | QSplitter * | parent
| ) |  |

## Member Function Documentation

void setOrientation | ( | Qt::Orientation | o | ) |

Search for all occurrences

Qt::Orientation orientation | ( |  | ) | const

Search for all occurrences

bool opaqueResize | ( |  | ) | const

Search for all occurrences

QSplitter* splitter | ( |  | ) | const

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseMoveEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mousePressEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseReleaseEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void resizeEvent | ( | QResizeEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

bool event | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void moveSplitter | ( | int | p | ) | `[protected]`

Search for all occurrences

int closestLegalPosition | ( | int | p | ) | `[protected]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qsplitter.h

QSplitterHandle QSplitterHandle QSplitterHandle QSplitterHandle QSplitterHandle QSplitterHandle QSplitterHandle QSplitterHandle QSplitterHandle QSplitterHandle
QSplitterHandle QSplitterHandle QSplitterHandle QSplitterHandle QSplitterHandle QSplitterHandle QSplitterHandle QSplitterHandle QSplitterHandle QSplitterHandle